package com.xhkjedu.smarking.model.papercheck;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.*;
import java.util.List;

/**
 * @Description 阅卷试卷阅卷方式表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_paper_check")
public class MsPaperCheck extends BaseBean {
    @Id
    //阅卷试卷阅卷方式ID
    private Integer mpcid;
    //试卷ID
    private Integer mpid;
    //考试科目ID
    private Integer msid;
    //题块/试题/班级ID
    private Integer mblockid;
    //评卷方式1单评2双评
    private Integer checktype;
    //仲裁教师ID
    private Integer arbitrateid;
    //仲裁分差
    private Double diffscore;
    //是否隐藏初评分0否1是
    private Integer hidefirstscore;
    //分差计算方式1题块总分值2任一给分点
    private Integer scoreway;
    //最终得分取值1不取整(保留2位小数) 2取整-向上取值 3取整-向下取值
    private Integer finalscore;
    //取整取值间隔
    private Double roundvalue;
    //分配方式1平均分配2效率优先3定量分配
    private Integer dispenseway;
    //创建人ID
    private Integer createid;
    //创建时间ID
    private Integer createtime;
    //阅卷状态0未开始1进行中2中止
    private Integer checkstate;
    //批阅设置：1按班设置2按题设置3按题块设置
    private Integer correcttype;

    @Transient
    //阅卷教师
    private List<MsPaperCheckTeacher> teachers;
    //分配总数1已上传试卷数2报名学生总数
    private Integer numtype;
    @Transient
    //教师ID
    private Integer teacherid;
    @Transient
    //题块/试题/班级IDS
    private List<Integer> mblockids;
    @Transient
    //考试试题表id
    private Integer mptqid;

}
