package com.xhkjedu.smarking.model.stupaper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description 阅卷试卷学生试题表
 * @Author auto
 * @Date 2024-10-15
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Table(name = "ms_paper_student_question")
public class MsPaperStudentQuestion extends BaseBean {
    @Id
    //阅卷试卷学生试题表
    private Integer mpsqid;
    //学生id
    private Integer studentid;
    //考试id
    private Integer examid;
    //科目id
    private String subjectid;
    //试卷id
    private Integer mpid;
    //试卷学生id
    private Integer mpsid;
    //考试试题表id
    private Integer mptqid;
    //线下试卷题块ID
    private Integer mblockid;
    //处理题型
    private Integer ctype;
    //试题id
    private String questionid;
    //题号
    private String qn;
    //试题排序
    private Integer qorder;
    //是否作答0未作答1已作做答
    private Integer answered;
    //答案类型1选择题2图片3纯文本4音频5视频
    private Integer answertype;
    //学生答案
    private String stuanswer;
    //是否转换0默认1待转换2转换成功3转换失败
    private Integer converted;
    //提交时间
    private Integer answertime;
    //单题用时(秒)
    private Integer costtime;
    //试题分值
    private Double qscore;
    //学生分值
    private Double stuscore;
    //学生批改后图片
    private String stumerge;
    //客观题是否需要重新批改0否1是
    private Integer needdeal;
    //优秀试卷0默认1优秀
    private Integer hasgood;
    //违纪试卷0默认1违纪
    private Integer hasbad;
    //是否批阅0默认1待批阅2批阅中3已批阅
    private Integer checked;
    //单评批改人
    private Integer firstcid;
    //单评批改时间
    private Integer firstcime;
    //单评批改分值
    private Double firstccore;
    //复评批改人
    private Integer secondcid;
    //复评批改时间
    private Integer secondctime;
    //复评批改分值
    private Double secondcscore;
    //仲裁人
    private Integer arbitrateid;
    //仲裁时间
    private Integer arbitratetime;
    //仲裁分值
    private Double arbitratescore;
    //仲裁状态0默认1待仲裁2仲裁中3已仲裁
    private Integer arbitratestate;
    //疑难0默认1疑难2处理中3已处理
    private Integer hasproblem;
    //疑难类型1图形模糊2答题错位3没有图像4图像颠倒5其他问题
    private Integer problemtype;
    //疑难备注
    private String problemcomm;
    //疑难卷标记人ID
    private Integer probleid;
    //疑难卷处理人ID
    private Integer problehid;
    //是否最终批改结果0否1是
    private Integer hasfinal;
    //最终批改原因1仲裁2学科组长批
    private Integer finalreason;

    //少选分值
    @Transient
    private Double loseoption;
    //分值设置0默认1送分题 20分题
    @Transient
    private Integer scoreset;
    @Transient
    private Integer hasanswer;//试卷是否设置了正确
    @Transient
    private String qanswer;//试题正确答案
}
